@echo off
echo.
echo This is the update batch for OpenDCC program
if %1.==. goto err

echo.
echo Please Reboot OpenDCC and press STOP during reboot
echo OpenDCC will enter bootloader.
echo (only CTRL-LED is on)
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dATmega644p -e -pf -vf -ifopendcc_xp.hex -c%1

echo.
echo Please Reboot OpenDCC again (no keys pressed)
echo.

goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: opendcc_xp.hex
echo.
:exit
